4

i try to install upgrade or some packages and i receive the error

E: Sub-process /usr/bin/dpkg returned an error code (1)
 update-rc.d: error: insserv rejected the script header
dpkg: erreur de traitement du paquet util-linux (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 util-linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

Please help me, I'm using ubuntu 14.10 .. Thanks

4
  • Is it a clean installation?
    – kenn
    Jul 21, 2015 at 14:59
  • Yes , I guess it's clean Jul 21, 2015 at 16:30
  • I think util-linux init script in /etc/init.d is missing LSB information
    – kenn
    Jul 21, 2015 at 16:36
  • And what can i do to fix this problem Jul 21, 2015 at 16:50

2 Answers 2

6

I think util-linux init script in /etc/init.d is missing LSB information

As a temporary workaround you can locate that script and add something like at top

#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          
# Required-Start:    
# Required-Stop:     
# Default-Start:     
# Default-Stop:
# Short-Description: 
### END INIT INFO

But it's not a complete solution. You will keep getting such error messages whenever you install an application that adds init script into /etc/init.d

I had similar problem and I fixed it with applying the solution in the last post on this link https://bugs.launchpad.net/ubuntu/+source/insserv/+bug/467000

Note that it doesn't mean it will work in your case. And It might break your system

For LSB information check out https://wiki.debian.org/LSBInitScripts

8
  • I will see if it's run in my case and i will tell you , thank u very much Jul 21, 2015 at 16:57
  • please be careful
    – kenn
    Jul 21, 2015 at 16:58
  • I try this solution but nothing new , still the same problem Jul 22, 2015 at 8:40
  • Did you add repo aside from Ubuntu?
    – kenn
    Jul 22, 2015 at 8:46
  • I don t understand , I m not a pro Jul 22, 2015 at 9:21
0

If you paste more info, it'll be helpful. I came this issue when I install anything.

Here is the issue,

Extracting templates from packages: 100%
Setting up util-linux (2.27.1-6ubuntu3.5) ...
insserv: warning: script 'S15solrd' missing LSB tags and overrides
insserv: warning: script 'solrd' missing LSB tags and overrides
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: There is a loop between service solrd and rc.local if started
insserv:  loop involving service rc.local at depth 12
insserv:  loop involving service solrd at depth 1
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package util-linux (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 util-linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

From the output I guess I didn't config solrd right. So I remove all the thing relate to solrd in rc.local or rc

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.